com.thinkaurelius.titan.graphdb.types.system

## Interface SystemRelationType

- All Superinterfaces:
    com.tinkerpop.blueprints.Element, Idfiable, InternalElement, InternalRelationType, InternalVertex, Namifiable, RelationType, Removable, TitanElement, TitanSchemaElement, TitanSchemaType, TitanVertex, com.tinkerpop.blueprints.Vertex
  All Known Implementing Classes:
    BaseKey, BaseLabel, BaseRelationType, ImplicitKey

      public interface SystemRelationType
      extends InternalRelationType

- - ### Method Summary

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalRelationType

      `getBaseType, getConsistencyModifier, getKeyIndexes, getMultiplicity, getRelationIndexes, getSignature, getSortKey, getSortOrder, getStatus, getTTL, isHiddenType, isUnidirected`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.RelationType

      `isEdgeLabel, isPropertyKey`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.Namifiable

      `getName`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalVertex

      `addRelation, getAddedRelations, hasAddedRelations, hasLoadedRelations, hasRemovedRelations, it, loadRelations, query, removeRelation`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanVertex

      `addEdge, addEdge, addProperty, addProperty, getEdgeCount, getEdges, getEdges, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getRelations, getTitanEdges, getVertexLabel, isConnected, isModified`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Vertex

      `addEdge, getVertices`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `getLifeCycle, isHidden, setId, tx`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

Copyright © 2012–2014. All rights reserved.